import './bm-cert.scss'
import {useEffect, useState} from "react";
import Taro from '@tarojs/taro'
import {getPoster} from "@/api/bszx/bszxBm";
import {ConfigProvider, Loading} from "@nutui/nutui-react-taro";

function BmCert() {
  const [poster, setPoster] = useState<string>('')
  const [loading, setLoading] = useState<boolean>(true)

  const generatePoster = () => {
    if (process.env.NODE_ENV === 'development') {
      // setPoster("https://oss.wsdns.cn/20250306/deec1c968aed4bc58a168a0f63ac8c87.jpg")
    }
    // 保存到临时地址
    Taro.downloadFile({
      url: poster,
      success: function (res) {
        Taro.saveImageToPhotosAlbum({
          filePath: res.tempFilePath,
          success: function () {
            Taro.showToast({
              title: '保存成功',
              icon: 'success',
              duration: 2000
            });
          },
          fail: function (err) {
            if (err.errMsg === 'saveImageToPhotosAlbum:fail auth deny') {
            }
          }
        })
      }
    })
  }
  const reload = () => {
    getPoster().then(img => {
      setPoster(`${img}`)
      setTimeout(() => {
        setLoading(false)
      },1000)
      if (process.env.NODE_ENV === 'development') {
        // setPoster("https://oss.wsdns.cn/20250306/deec1c968aed4bc58a168a0f63ac8c87.jpg")
      }
    })
  }
  useEffect(() => {
    reload()
  }, []);

  return (
    <>
      {
        loading ?
          <div className={'bg-white w-full flex justify-center items-center'} style={{height: '100vh'}}>
            <ConfigProvider theme={{ nutuiLoadingIconSize: '28px' }}>
              <Loading type="spinner">加载中</Loading>
            </ConfigProvider>
          </div>
          :
          <div className={'flex justify-center'}>
            <img src={poster} width={'100vw'} height={'91vh'}/>
            {/*<div className={'cert-content'}>*/}
            {/*  <p className={'py-2'}>尊敬的 {nickName} 校友 :</p>*/}
            {/*  百廿风华，桃李百中。2025年，<i className={'text-red-500 font-bold'}>百色市百色中学</i>迎来建校 120*/}
            {/*  周年。十秩沧桑砺洗、薪火相继，百色中学走过百折不挠、上下求索的光辉历程;爱党爱国、无私奉献、团结务实、积极进取的百中精神，始终引领学校风雨兼程、砥砺奋进;一代代百中人的耕耘与拼搏，闪耀着不同时期特有的亮点，积淀深厚的文化底蕴，承载着国家和人民殷切期望，铸造了今日的辉煌。兹定于*/}
            {/*  2025年5月1日(星期四)上午9:00 举行百色中学建校 120*/}
            {/*  周年庆典活动。诚邀您拨冗莅临出席、共襄盛举，为母校的改革发展献计献策!相约浓浓绎夏，畅谈别后心路，共话同窗师友情;相信您的到来必定令校庆活动添光异彩。*/}
            {/*  专此诚邀，敬祈惠允。*/}
            {/*  <p className={'mt-2 text-right'}>百色市百色中学</p>*/}
            {/*  <p className={'text-right'}>2025年1月2日</p>*/}
            {/*</div>*/}
            <div className={'fixed bottom-10'}>
              {/*<Button />*/}
              <button
                className={'item px-20 py-3 bg-yellow-300 text-black flex items-center gap-2 text-nowrap whitespace-nowrap'}
                onClick={() => {
                  generatePoster()
                }}>
                保存到相册
              </button>
            </div>
          </div>
      }
    </>
  )
}

export default BmCert;
